define function type-helper($type)
{
let $typeName := string($type/@name)
return
<function>
package com.pagesmiths.xmlforms.data;

public class {concat($typeName, "Helper")} extends {$typeName}
{"{"}
  public {concat($typeName, "Helper")}()
  {"{"}
     init(this);
  {"}"}

  public static void init(final {string($type/@name)} bean)
  {"{"}
  {
    for $element in $type/sequence/element
    let $name := string($element/@name)
    let $elementType := 
       (if ($element/@type = "string") then "String" else string($element/@type))
    return
      if ($element/@maxOccurs = "unbounded") then
        (<text>
          // This needs to be extended to handle complexTypes.
          bean.{concat("set", upper-case(substring($name, 1, 1)), substring($name, 2))}
            (new {$elementType}[0]);
        </text>/text())
      else if ($element/@maxOccurs > 1) then
        (<text>
          // This needs to be extended to handle complexTypes.
          bean.{concat("set", upper-case(substring($name, 1, 1)), substring($name, 2))}
            (new {$elementType}[{string($element/@maxOccurs)}]);
        </text>/text())
      else if ($elementType = "String") then
        (<text>
          bean.{concat("set", upper-case(substring($name, 1, 1)), substring($name, 2))}
            ("");
        </text>/text())
      else
        (<text>
          bean.{concat("set", upper-case(substring($name, 1, 1)), substring($name, 2))}
            ({concat($elementType, "Helper")}.initNew());
        </text>/text())
  }
  {"}"}

  public static {string($type/@name)} clone(final {string($type/@name)} oldBean)
  {"{"}
  final {$typeName} newBean = new {$typeName}();
  {
    for $element in $type/sequence/element
    let $name := string($element/@name)
    let $elementType := 
       (if ($element/@type = "string") then "String" else string($element/@type))
    return
      if ($elementType = "String") then
        (<text>
          newBean.{concat("set", upper-case(substring($name, 1, 1)), substring($name, 2))}
            (oldBean.{concat("get", upper-case(substring($name, 1, 1)), substring($name, 2))}());
        </text>/text())
      else
      if ($element/@maxOccurs = "unbounded") then
        (<text>
          newBean.{concat("set", upper-case(substring($name, 1, 1)), substring($name, 2))}
            (oldBean.{concat("get", upper-case(substring($name, 1, 1)), substring($name, 2))}());
        </text>/text())
      else
      if ($element/@maxOccurs > 1) then
        (<text>
          newBean.{concat("set", upper-case(substring($name, 1, 1)), substring($name, 2))}
            (oldBean.{concat("get", upper-case(substring($name, 1, 1)), substring($name, 2))}());
        </text>/text())
      else
        (<text>
          newBean.{concat("set", upper-case(substring($name, 1, 1)), substring($name, 2))}
            ({concat($elementType, "Helper")}.clone
              (oldBean.{concat("get", upper-case(substring($name, 1, 1)), substring($name, 2))}()));
        </text>/text())
  }
  
     return newBean;
  {"}"}

public static {$typeName} initNew()
{"{"}
final {$typeName} bean = new {$typeName}();
init(bean);
return bean;
{"}"}
{"}"}
</function>
}
for $type in document("xmlforms.xsd")/schema/complexType
return
   write-to(type-helper($type)/text()
      , concat("build/src/com/pagesmiths/xmlforms/data/", string($type/@name), "Helper.java"))
   