/**
 * Redistribution and use of this software and associated documentation
 * ("Software"), with or without modification, are permitted provided
 * that the following conditions are met:
 *
 * 1. Redistributions of source code must retain copyright
 *    statements and notices.  Redistributions must also contain a
 *    copy of this document.
 *
 * 2. Redistributions in binary form must reproduce the
 *    above copyright notice, this list of conditions and the
 *    following disclaimer in the documentation and/or other
 *    materials provided with the distribution.
 *
 * 3. The name "Exolab" must not be used to endorse or promote
 *    products derived from this Software without prior written
 *    permission of Intalio, Inc.  For written permission,
 *    please contact info@exolab.org.
 *
 * 4. Products derived from this Software may not be called "Exolab"
 *    nor may "Exolab" appear in their names without prior written
 *    permission of Intalio, Inc. Exolab is a registered
 *    trademark of Intalio, Inc.
 *
 * 5. Due credit should be given to the Exolab Project
 *    (http://www.exolab.org/).
 *
 * THIS SOFTWARE IS PROVIDED BY INTALIO, INC. AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL
 * INTALIO, INC. OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * Copyright 2000 (C) Intalio, Inc. All Rights Reserved.
 *
 * $Id: InvoiceTest.java,v 1.6 2001/06/16 01:58:44 blandin Exp $
 */


import java.io.*;
import org.exolab.castor.xml.ClassDescriptorResolver;
import org.exolab.castor.xml.Unmarshaller;
import org.exolab.castor.xml.Marshaller;
import org.exolab.castor.xml.MarshalException;
import org.exolab.castor.xml.util.ClassDescriptorResolverImpl;

import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;

//-- import for generated classes
import com.pagesmiths.xmlforms.data.*;

import org.exolab.castor.types.Duration;
import org.exolab.castor.types.Date;
import org.exolab.castor.types.Time;

/**
 * Test class for Castor test suite
 * @author <a href="mailto:kvisco@intalio.com">Keith Visco</a>
 * @version $Revision: 1.6 $ $Date: 2001/06/16 01:58:44 $
**/
public class XMLFormsTest implements PropertyChangeListener 
{



    public void propertyChange(PropertyChangeEvent event) {
        System.out.println("PropertyChange: " + event.getPropertyName());
    } //-- propertyChange

    public static void main(String[] args) 
    {
    
	try {

        System.out.println("----Writing PO----");

	    final PURCHASEORDERTYPE po1 = PURCHASEORDERTYPEHelper.initNew();

        po1.getShipto().setName("Joe Customer");
        
        po1.marshal(new FileWriter("purchaseordertest1.xml"));

        System.out.println("----Cloning PO----");

	    final PURCHASEORDERTYPE po2 = PURCHASEORDERTYPEHelper.clone(po1);
        po2.marshal(new FileWriter("purchaseordertest2.xml"));

        System.out.println("----FORMBEAN----");

        final FORMBEAN fb1 = FORMBEANHelper.initNew();
        fb1.marshal(new FileWriter("FORMBEAN1.xml"));


    } catch (Exception e) {
	    e.printStackTrace();
	}

    }

}