<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xf="http://xml.apache.org/cocoon/xmlform/2002"
    xmlns:html="http://www.w3.org/1999/xhtml"
    xmlns="http://www.w3.org/1999/xhtml"
    exclude-result-prefixes="xalan">

	<xsl:template match="FORMBEAN">
<html xsl:version="1.0" 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title>Purchase Order</title>
  <meta http-equiv="content-type" content="text/html; charset=ISO-8859-1"/>
  <meta name="author" content="JPW"/>
</head>
<body>
<h1 align="center">XML Company</h1>
<h2 align="center">Purchase Order</h2>
<p align="center">
   <img src="http://localhost:8080/dev/xmlforms/images/pagesmiths-logo.png" alt=""/>
</p>
<p>
	<br/>
	<br/>
	<br/>
</p>
<table cellpadding="2" cellspacing="2" border="1" width="90%">
  <col width="60pt" align="left" />
  <col width="200pt" align="right" />
  <col width="60pt" align="left" />
  <col width="200pt" align="right" />
  <tbody>
    <tr>
      <td>Order Date:</td>
      <td colspan="3"><xsl:value-of select="PURCHASEORDER/orderdate"/></td>
    </tr>
    <tr>
      <td valign="top">Ship To:</td>
      <td valign="top">
			<xsl:call-template name="USADDRESS">
			   <xsl:with-param name="address" select="PURCHASEORDER/shipto"/>
			</xsl:call-template>
      </td>
      <td valign="top">Bill To:<br/>
      </td>
      <td valign="top">
			<xsl:call-template name="USADDRESS">
			   <xsl:with-param name="address" select="PURCHASEORDER/billto"/>
			</xsl:call-template>
      </td>
    </tr>
    <xsl:if test="PURCHASEORDER/comment != ''">
    <tr>
      <tr><td colspan="4"/></tr>
      <td valign="top" colspan="4">
        <xsl:value-of select="PURCHASEORDER/comment"/>
      </td>
    </tr>
    </xsl:if>
  </tbody>
</table>
<p><br/></p>
<table cellpadding="2" cellspacing="2" border="1" width="90%">
  <col width="60pt" align="left" />
  <col width="200pt" align="right" />
  <col width="180pt" align="left" />
  <col width="80pt" align="right" />
  <tbody>
		<tr>
		  <td align="right">Quantity</td>
		  <td>Part Number</td>
		  <td>Ship Date</td>
		  <td align="right">Price</td>
		</tr>
		<tr>
		  <td>Item #</td>
		  <td>Product Name</td>
		  <td colspan="2">Comment</td>
		</tr>
    <xsl:for-each select="PURCHASEORDER/items/item">
        <tr><td colspan="4"/></tr>
		<tr>
		  <td align="right"><xsl:value-of select="quantity"/></td>
		  <td><xsl:value-of select="partnum"/></td>
		  <td><xsl:value-of select="shipdate"/></td>
		  <td align="right"><xsl:value-of select="USPRICE"/></td>
		</tr>
		<tr>
		  <td><xsl:value-of select="position()"/></td>
		  <td><xsl:value-of select="productname"/></td>
		  <td colspan="2"><xsl:value-of select="comment"/></td>
		</tr>
    </xsl:for-each>
  </tbody>
</table>
<br/>
</body>
</html>
  </xsl:template>

   <xsl:template name="USADDRESS">
      <xsl:param name="address" />
      <xsl:value-of select="$address/name"/><br/>
      <xsl:value-of select="$address/street"/><br/>
      <xsl:value-of select="$address/city"/><br/>
      <xsl:value-of select="$address/state"/><br/>
      <xsl:value-of select="$address/zip"/><br/>
   </xsl:template>
   
</xsl:stylesheet>
