<?xml version="1.0" encoding="UTF-8"?>
<!--
	Cocoon Feedback Wizard XMLForm processing and displaying stylesheet.	
  
  This stylesheet merges an XMLForm document into 
  a final document. It includes other presentational
  parts of a page orthogonal to the xmlform.

  author: Ivelin Ivanov, ivelin@apache.org, May 2002
  original Author: Konstantin Piroumian, kpiroumian@flagship.ru, 21-Feb-2002

-->

<xsl:stylesheet 
    version="1.0" 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xf="http://xml.apache.org/cocoon/xmlform/2002"
    xmlns:session="http://cocoon.apache.org/session/1.0"
    exclude-result-prefixes="xalan"
>
	<xsl:template match="document">
		<html>
			<head>
				<title>Stuart Hack Company - ERISA 404(c) Compliance</title>		
				<style type="text/css">
				<![CDATA[
              H1{font-family : sans-serif,Arial,Tahoma;color : white;background-color : #0086b2;} 
              BODY{font-family : sans-serif,Arial,Tahoma;color : black;background-color : white;} 
              B{color : blue;} 
              HR{color : #0086b2;}
              input { background-color: #FFFFFF; color: #000099; border: 1px solid #0000FF; }		
              table { background-color: #EEEEEE; color: #000099; font-size: x-small; border: 2px solid brown;}
              select { background-color: #FFFFFF; color: #000099 }
             .error { color: red; font-size: small }	      
             .invalid { color: #FF0000; border: 2px solid #FF0000; }
             .info { color: green; font-size: small}
             .repeat { border: 0px inset #999999;border: 1px inset #999999; width: 100%; }
             .group { border: 0px inset #999999;border: 1px inset #999999;  width: 100%; }
             .sub-table { border: none; }
             .button { background-color: #FFFFFF; color: #000099; border: 1px solid #666666 }
             .plaintable { border: 0px inset black;border: 0px inset black; width: 100%; }
             .reporttable { border: 1px inset black;background-color : #E0F8F8;}
              ]]>
				</style>
			</head>
			<body>
        	   <xsl:apply-templates />
			</body>
		</html>
	</xsl:template>
	
	<xsl:template match="xf:form[@action='do-logout']">
    <xf:form method="post">
      <xsl:copy-of select="@*" />
        <table align="center" cellpadding="2">
          <tr>
            <xsl:for-each select="xf:output">
              <td align="center"><xsl:value-of select="xf:caption"/></td>
            </xsl:for-each>
            <td align="center">
                <xsl:text> </xsl:text>
            </td>
         </tr>
          <tr>
            <xsl:for-each select="*[name() = 'xf:output']">
              <td align="center"><xsl:value-of select="xf:value"/></td>
              <xsl:text> </xsl:text>
            </xsl:for-each>
            <td align="center">
              <xsl:for-each select="*[name() = 'xf:submit']">
                <xsl:copy-of select="." />
                <xsl:text> </xsl:text>
              </xsl:for-each>
            </td>
         </tr>
      </table>
    </xf:form>
	</xsl:template>

	<xsl:template match="xf:form">
    <xf:form method="post">
      <xsl:copy-of select="@*" />
        <!-- <br/><br/><br/><br/> -->
        <table align="center" border="0">
          <tr>
            <td align="center" colspan="3">
                <h1>
                    <xsl:value-of select="xf:caption"/>
                    <hr/>
                </h1>
            </td>
          </tr>

          <tr>
            <td align="center" colspan="3">
              <xsl:for-each select="*[name() = 'xf:submit']">
                <xsl:copy-of select="." />
                <xsl:text> </xsl:text>
              </xsl:for-each>
            </td>
          </tr>

          <xsl:if test="count(error/xf:violation) > 0">
              <tr>
                <td align="left" colspan="3" class="{error/xf:violation[1]/@class}">
                    <p>
                    * There are
                    [<b><xsl:value-of select="count(error/xf:violation)"/></b>]
                    errors. Please fix these errors and submit the form again.
                    </p>
                    <p>
                      <xsl:variable name="localViolations" select=".//xf:*[ child::xf:violation ]"/>
                      <xsl:for-each 
                        select="error/xf:violation">
                        <xsl:variable name="eref" select="./@ref"/>
                        <xsl:if test="count ($localViolations[ @ref=$eref ]) = 0">
                            * 
                            <xsl:value-of select="." />
                            <br/>[<xsl:value-of select="./@ref"/>]<br/>
                        </xsl:if>
                      </xsl:for-each>
                    </p>
                    <p/>
                </td>
              </tr>
          </xsl:if>

         <xsl:for-each select="*[name() != 'xf:submit']">
          <xsl:choose>
            <xsl:when test="name() = 'xf:caption'"/>
            <xsl:when test="name() = 'error'"/>
            <xsl:otherwise>
                <xsl:apply-templates select="."/>
            </xsl:otherwise>
           </xsl:choose>
         </xsl:for-each>
      </table>
    </xf:form>
	</xsl:template>

    <xsl:template match="reporttable">
      <tr><td colspan='3'>
        <table class="reporttable">
            <tr>
              <xsl:for-each select="headings"><xsl:copy-of select="th"/></xsl:for-each>
            </tr>
          <xsl:for-each select="xf:repeat/xf:group">
          
            <xsl:sort select="xf:output[@sortkey]/xf:value" order="ascending"/>
            
            <tr>
              <xsl:for-each select="*">
                 <td><xsl:copy-of select="."/></td>
              </xsl:for-each>
            </tr>
          </xsl:for-each>
        </table>
      </td></tr>
    </xsl:template>

  	<xsl:template match="messages">
      <xsl:for-each select="*//message">
       <tr>
         <td align="left">
         </td>
         <td align="left" colspan="2" class="{level}">
           <xsl:value-of select="text"/>
         </td>
        </tr>
       </xsl:for-each>
   	</xsl:template>
    
 <!--
   <xsl:template match="funds">
      <tr><td colspan='3'>
        <table border="0">
            <tr>
             <th>Name</th>
             <th>Objective</th>
             <th>Manager</th>
             <th>QSIP</th>
             <th>Class</th>
             <th>Allocation</th>
             <th>Core</th>
             <th>Restrictions</th>
             <th>Phone</th>
             <th>Web</th>
             </tr>
          <xsl:for-each select="xf:repeat/xf:group/fund">
            <tr>
              <td><xsl:copy-of select="xf:output[@field='f1_name']/xf:value/node()"/></td>
              <td><xsl:copy-of select="xf:output[@field='f2_objective']/xf:value/node()"/></td>
              <td><xsl:copy-of select="xf:output[@field='f3_manager']/xf:value/node()"/></td>
              <td><xsl:copy-of select="xf:output[@field='f8_qsip']/xf:value/node()"/></td>
              <td><xsl:copy-of select="xf:output[@field='f9_share_class']/xf:value/node()"/></td>
              <td><xsl:copy-of select="xf:output[@field='f10_is_asset_allocation']/xf:value/node()"/></td>
              <td><xsl:copy-of select="xf:output[@field='f4_is_core']/xf:value/node()"/></td>
              <td><xsl:copy-of select="xf:output[@field='f5_trade_rest']/xf:value/node()"/></td>
              <td><xsl:copy-of select="xf:output[@field='f6_phone']/xf:value/node()"/></td>
              <td><xsl:copy-of select="xf:output[@field='f7_web']/xf:value/node()"/></td>
           </tr>
          </xsl:for-each>
        </table>
      </td></tr>
    </xsl:template>
-->

<!--
    
	<xsl:template match="xf:repeat">
        <tr  width="100%">
            <td colspan="3" width="100%">
                <table class="repeated">
               	    <xsl:apply-templates select="*"/>
                </table>
            </td>
        </tr>
  	</xsl:template>
  	
	<xsl:template match="xf:group">
        <tr width="100%">
            <td width="100%" colspan="2">
                <table class="group" border="0">
               	    <xsl:apply-templates select="*"/>
                </table>
            </td>
        </tr>
  	</xsl:template>

	<xsl:template match="xf:repeat">
        <tr  width="100%">
            <td colspan="3" width="100%">
                <table class="repeat" border="1">
               	    <xsl:apply-templates select="*"/>
                </table>
            </td>
        </tr>
  	</xsl:template>

	<xsl:template match="xf:group">
        <tr width="100%">
            <td width="100%" colspan="2">
                <table class="group" border="0">
			      <tr>
			          <td align="left">
			            <xsl:value-of select="xf:caption" />
			          </td>
			      </tr>

         	      <xsl:apply-templates select="*"/>
                </table>
            </td>
        </tr>
  	</xsl:template>
-->

	<xsl:template match="xf:output[@form]">
        <div align="center"> 
            <hr width="30%"/>
            <br/>
            <font size="-1">
              <code>
                <xsl:value-of select="xf:caption" /> :
                <xsl:copy-of select="." />
              </code>
            </font>
            <br/>
        </div>
	</xsl:template>

    <xsl:template match="xf:*">
      <tr>
          <td align="left">
            <xsl:value-of select="xf:caption" />
          </td>
          <td align="left">
        <table class="plaintable">
        <tr>
          <td align="left">
             <xsl:copy-of select="." />
<!--
            <xsl:choose>
               <xsl:when test="xf:selectOne[@selectUIType='repeatlist']">
                  <p>hello</p>
                  <xf:selectOne selectUIType="listbox">
                     <xsl:copy-of select="@ref" />
                     <xsl:for-each select="xf:repeat/xf:group">
                        <xsl:copy-of select="xf:item"/>
                     </xsl:for-each>
                  </xf:selectOne>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:copy-of select="." />
                </xsl:otherwise>
            </xsl:choose>
-->            
          </td>
          <xsl:if test="xf:violation">
              <td align="left" class="{xf:violation[1]/@class}" width="100%">
                <xsl:for-each select="xf:violation">
                  * <xsl:value-of select="." />
                  <br/>
                </xsl:for-each>
                (<xsl:value-of select="xf:violation[1]/@path"/>)<br/>
              </td>
          </xsl:if>
         </tr>
        </table>
       </td>
      </tr>
    </xsl:template>

  	<xsl:template match="xf:selectOne[@selectUIType='repeatlist']">
      <tr>
      <td align="left">
         <xsl:value-of select="xf:caption" />
      </td>
      <td align="left">
          <xf:selectOne selectUIType="listbox">
             <xsl:copy-of select="@ref" />
             <xsl:copy-of select="xf:value"/>
             <xsl:for-each select="*//xf:item">
                <xsl:copy-of select="."/>
                <!--
                <xf:item>
                  <xf:value><xsl:value-of select="xf:value"/></xf:value>
                  <xf:caption><xsl:value-of select="xf:caption"/></xf:caption>
                </xf:item>
                -->
             </xsl:for-each>
          </xf:selectOne>
      </td>
      </tr>
  	</xsl:template>

	<xsl:template match="xf:repeat">
   	    <xsl:apply-templates select="*"/>
  	</xsl:template>
  	
	<xsl:template match="xf:group">
   	    <xsl:apply-templates select="*"/>
  	</xsl:template>
    
	<xsl:template match="*">
      <xsl:copy><xsl:copy-of select="@*" /><xsl:apply-templates /></xsl:copy>
	</xsl:template>
    
</xsl:stylesheet>



