<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet  
    version="1.0"
    xmlns:fo="http://www.w3.org/1999/XSL/Format"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:html="http://www.w3.org/1999/xhtml"  >
     
<xsl:import href="xhtml2fo.xsl"/>

     <xsl:output method="xml"
            version="1.0"
            indent="yes"
            encoding="UTF-8"/>
 
   <xsl:attribute-set name="h1">
	<xsl:attribute name="start-indent">inherit</xsl:attribute>
	<xsl:attribute name="end-indent">inherit</xsl:attribute>
	<xsl:attribute name="space-before">2pt</xsl:attribute>
	<xsl:attribute name="space-after">2pt</xsl:attribute>
	<xsl:attribute name="font-size">32pt</xsl:attribute>
	<xsl:attribute name="font-weight">bold</xsl:attribute>
	<xsl:attribute name="color">black</xsl:attribute>
    </xsl:attribute-set>
    <xsl:attribute-set name="h2">
	<xsl:attribute name="start-indent">inherit</xsl:attribute>
	<xsl:attribute name="end-indent">inherit</xsl:attribute>
	<xsl:attribute name="space-before">2pt</xsl:attribute>
	<xsl:attribute name="space-after">2pt</xsl:attribute>
	<xsl:attribute name="font-size">24pt</xsl:attribute>
	<xsl:attribute name="font-weight">bold</xsl:attribute>
	<xsl:attribute name="color">black</xsl:attribute>
    </xsl:attribute-set>
    <xsl:attribute-set name="h3">
	<xsl:attribute name="start-indent">body-start()</xsl:attribute>
	<xsl:attribute name="end-indent">inherit</xsl:attribute>
	<xsl:attribute name="space-before">6pt</xsl:attribute>
	<xsl:attribute name="space-after">2pt</xsl:attribute>
	<xsl:attribute name="font-size">18pt</xsl:attribute>
	<xsl:attribute name="font-weight">bold</xsl:attribute>
	<xsl:attribute name="color">black</xsl:attribute>
    </xsl:attribute-set>
    <xsl:attribute-set name="h4">
	<xsl:attribute name="start-indent">inherit</xsl:attribute>
	<xsl:attribute name="end-indent">inherit</xsl:attribute>
	<xsl:attribute name="space-before">1em</xsl:attribute>
	<xsl:attribute name="space-after">0.5em</xsl:attribute>
	<xsl:attribute name="font-size">medium</xsl:attribute>
	<xsl:attribute name="font-weight">bold</xsl:attribute>
	<xsl:attribute name="color">black</xsl:attribute>
    </xsl:attribute-set>
    <xsl:attribute-set name="h5">
	<xsl:attribute name="start-indent">inherit</xsl:attribute>
	<xsl:attribute name="end-indent">inherit</xsl:attribute>
	<xsl:attribute name="space-before">1em</xsl:attribute>
	<xsl:attribute name="space-after">0.5em</xsl:attribute>
	<xsl:attribute name="font-size">small</xsl:attribute>
	<xsl:attribute name="font-weight">bold</xsl:attribute>
	<xsl:attribute name="color">black</xsl:attribute>
    </xsl:attribute-set>
    <xsl:attribute-set name="h6">
	<xsl:attribute name="start-indent">inherit</xsl:attribute>
	<xsl:attribute name="end-indent">inherit</xsl:attribute>
	<xsl:attribute name="space-before">1em</xsl:attribute>
	<xsl:attribute name="space-after">0.5em</xsl:attribute>
	<xsl:attribute name="font-size">x-small</xsl:attribute>
	<xsl:attribute name="font-weight">bold</xsl:attribute>
	<xsl:attribute name="color">black</xsl:attribute>
    </xsl:attribute-set>
   <!-- Block level Attribute -->
    <!-- p-->
   <xsl:attribute-set name="p">
	<xsl:attribute name="font-size">14pt</xsl:attribute>
	<xsl:attribute name="line-height">130%</xsl:attribute>
	<xsl:attribute name="start-indent">0.4em</xsl:attribute>
	<xsl:attribute name="end-indent">inherit</xsl:attribute>
<!--	<xsl:attribute name="text-indent">inherit</xsl:attribute>  -->
	<xsl:attribute name="space-before">0.4em</xsl:attribute>
	<xsl:attribute name="space-after">0.4em</xsl:attribute>
    </xsl:attribute-set>
    
    <!-- pre -->
    <xsl:attribute-set name="pre">
        <xsl:attribute name="white-space">pre</xsl:attribute>
        <xsl:attribute name="wrap-option">wrap</xsl:attribute>
        <xsl:attribute name="start-indent">inherit</xsl:attribute>
        <xsl:attribute name="end-indent">inherit</xsl:attribute>
        <xsl:attribute name="text-indent">1em</xsl:attribute>
        <xsl:attribute name="space-before">0.6em</xsl:attribute>
        <xsl:attribute name="space-after">0.6em</xsl:attribute>
     </xsl:attribute-set>
    <!-- pre title-->
    <xsl:attribute-set name="pre-title">
        <xsl:attribute name="start-indent">inherit</xsl:attribute>
        <xsl:attribute name="end-indent">inherit</xsl:attribute>
        <xsl:attribute name="space-before">1em</xsl:attribute>
        <xsl:attribute name="space-after">0.5em</xsl:attribute>
        <xsl:attribute name="font-weight">bold</xsl:attribute>
    </xsl:attribute-set>
        <!-- pre -->
    <xsl:attribute-set name="blockquote">
        <xsl:attribute name="start-indent">inherit + 4em </xsl:attribute>
        <xsl:attribute name="end-indent">inherit + 4em</xsl:attribute>
        <xsl:attribute name="text-indent">1em</xsl:attribute>
        <xsl:attribute name="space-before">0.6em</xsl:attribute>
        <xsl:attribute name="space-after">0.6em</xsl:attribute>
        <xsl:attribute name="margin-top">1em</xsl:attribute>
        <xsl:attribute name="margin-bottom">1em</xsl:attribute>
    </xsl:attribute-set>
    <!-- ul -->
    <!-- for list-block -->
    <xsl:attribute-set name="ul">
        <xsl:attribute name="provisional-distance-between-starts">1.5em</xsl:attribute>
        <xsl:attribute name="provisional-label-separation">1.5em</xsl:attribute>
    </xsl:attribute-set>
    <xsl:attribute-set name="ul-li">
        <xsl:attribute name="start-indent">inherit</xsl:attribute>
    </xsl:attribute-set>

    <xsl:attribute-set name="ul-li-padding">
    <!--
        <xsl:attribute name="padding-left">0.4em</xsl:attribute>
        <xsl:attribute name="padding-right">0.4em</xsl:attribute>
        <xsl:attribute name="padding-top">0.4em</xsl:attribute>
        <xsl:attribute name="padding-bottom">0.4em</xsl:attribute>
    -->
    </xsl:attribute-set>
    
    
    <!-- ol -->
    <!-- for list-block -->
    <xsl:attribute-set name="ol">
        <xsl:attribute name="provisional-distance-between-starts">1.5em</xsl:attribute>
        <xsl:attribute name="provisional-label-separation">1.5em</xsl:attribute>
    </xsl:attribute-set>
    <xsl:attribute-set name="ol-li">
        <xsl:attribute name="start-indent">inherit</xsl:attribute>
    </xsl:attribute-set>

    <xsl:attribute-set name="ol-li-padding">
    <!--
        <xsl:attribute name="padding-left">3pt</xsl:attribute>
        <xsl:attribute name="padding-right">3pt</xsl:attribute>
        <xsl:attribute name="padding-top">3pt</xsl:attribute>
        <xsl:attribute name="padding-bottom">3pt</xsl:attribute>
    -->
    </xsl:attribute-set>

    <!-- dl dt dd -->
    <xsl:attribute-set name="dl">
        <xsl:attribute name="start-indent">inherit </xsl:attribute>
        <xsl:attribute name="end-indent">inherit </xsl:attribute>
    </xsl:attribute-set>
    <xsl:attribute-set name="dt">
        <xsl:attribute name="start-indent">inherit</xsl:attribute>
        <xsl:attribute name="end-indent">inherit </xsl:attribute>
    </xsl:attribute-set>
    <xsl:attribute-set name="dd">
        <xsl:attribute name="start-indent">inherit +1em</xsl:attribute>
        <xsl:attribute name="end-indent">inherit </xsl:attribute>
        <xsl:attribute name="space-before">0.6em</xsl:attribute>
	<xsl:attribute name="space-after">0.6em</xsl:attribute>
    </xsl:attribute-set>

   <!-- text -->
   <xsl:attribute-set name="em">
 	<xsl:attribute name="font-style">italic</xsl:attribute>
 	<xsl:attribute name="font-weight">bold</xsl:attribute>
     </xsl:attribute-set>
  <xsl:attribute-set name="strong">
  	<xsl:attribute name="font-weight">bold</xsl:attribute>
     </xsl:attribute-set>
  <xsl:attribute-set name="cite">
 	<xsl:attribute name="font-style">italic</xsl:attribute>
 	<xsl:attribute name="font-weight">bold</xsl:attribute>
     </xsl:attribute-set>
  <xsl:attribute-set name="dfn">
 	<xsl:attribute name="font-style">italic</xsl:attribute>
 	<xsl:attribute name="font-weight">bold</xsl:attribute>
     </xsl:attribute-set>
  <xsl:attribute-set name="code">
  </xsl:attribute-set>

  <xsl:attribute-set name="samp">
  </xsl:attribute-set>

  <xsl:attribute-set name="kbd">
  </xsl:attribute-set>

  <xsl:attribute-set name="var">
  	<xsl:attribute name="font-style">italic</xsl:attribute>
 	<xsl:attribute name="font-weight">bold</xsl:attribute>

  </xsl:attribute-set>

  <xsl:attribute-set name="abbr">
  </xsl:attribute-set>

  <xsl:attribute-set name="acronym">
  </xsl:attribute-set>


  <xsl:attribute-set name="sup">
  	<xsl:attribute name="baseline-shift">super</xsl:attribute>
  </xsl:attribute-set>


  <xsl:attribute-set name="sub">
  	<xsl:attribute name="baseline-shift">sub</xsl:attribute>
  </xsl:attribute-set>


  <xsl:attribute-set name="a">
  	<xsl:attribute name="text-decoration">underline</xsl:attribute>
   	<xsl:attribute name="color">blue</xsl:attribute>
  </xsl:attribute-set>

  <xsl:attribute-set name="div">
<!--
  	<xsl:attribute name="start-indent">5mm</xsl:attribute>
   	<xsl:attribute name="end-indent">5mm</xsl:attribute>
-->   	
  </xsl:attribute-set>

</xsl:stylesheet>
